<template>
  <v-container class="fill-height" fluid>
    <v-row class="d-flex align-center justify-center align-content-center">
      <v-col cols="10" sm="8" md="6" lg="4">

        <v-card class="elevation-12">
          <v-toolbar color="primary" dark flat>
            <v-toolbar-title>Registrazione</v-toolbar-title>
          </v-toolbar>
          <v-card-text>
            <v-form class="mt-4">
              <v-text-field
                  id="name"
                  label="Nome"
                  name="name"
                  v-model="firstname"
                  outlined
                  prepend-icon="fas fa-user"
                  type="text"
                  @keyup.enter="register"
              ></v-text-field>
              <v-text-field
                  id="surname"
                  label="Cognome"
                  name="surname"
                  v-model="lastname"
                  outlined
                  prepend-icon="fas fa-user"
                  type="text"
                  @keyup.enter="register"
              ></v-text-field>
              <v-text-field
                  label="Email"
                  name="email"
                  type="email"
                  v-model="email"
                  outlined
                  prepend-icon="fas fa-user"
              ></v-text-field>
            </v-form>
          </v-card-text>
          <v-card-actions>
            <v-spacer></v-spacer>
            <v-btn color="primary" @click="register">
              Registrati
            </v-btn>
          </v-card-actions>
        </v-card>

      </v-col>
    </v-row>
  </v-container>

</template>

<script>
export default {
  name: "Registration",
  data: () => ({
    valid: false,
    firstname: '',
    lastname: '',
    nameRules: [
      v => !!v || 'il nome è obbligatorio!',
    ],
    email: '',
    emailRules: [
      v => !!v || 'L\'indirizzo Email è obbligatorio!',
      v => /.+@.+/.test(v) || 'Email non valida',
    ],
  }),
  methods: {
    async register() {
      await this.$http.post('https://api.g17.michaelsaccone.it/api/v1/users', {
        email: this.email,
        name: this.firstname,
        surname: this.lastname
      })

      this.$router.push('/')
    }
  }
}
</script>

<style scoped>

</style>
